body {
    font-family: Arial, sans-serif;
    background-color: #1e1e2f;
    color: white;
    text-align: center;
}

.menu_buttons {
    margin-top: 20px;
}

button {
    display: block;
    margin: 20px auto;
    padding: 20px 40px;
    font-size: 20px;
    border-radius: 12px;
    border: 2px solid #4CAF50;
    background-color: #2c2c3e;
    color: white;
    cursor: pointer;
    transition: 0.3s;
}

button:hover {
    background-color: #4CAF50;
    color:black;
}

#game_screen {
    width: 100vw;
    height: 100vw;

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    position: relative;
}

#game_screen * {
    position: relative;
    z-index: 2;
}

#game_screen::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(100, 98, 98, 0);
}

#game_screen {
    width: 100vw;
    height: 100vh;

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    display: flex;
    justify-content: center;
    align-items: center;
}

#game_ui {
    background: rgba(0, 100, 200, 0.8);
    padding: 40px;
    border-radius: 20px;

    text-align: center;
    color: white;

    min-width: 300px;
    backdrop-filter: blur(5px);
}

#letter_display {
    font-size: 60px;
    margin: 20px 0;

}

#timer, #score {
    font-size: 20px;
    margin: 10px 0;
}

#intro_screen {
    width: 100vw;
    height: 100vh;

    background-image: url("images/level1.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    display: flex;
    justify-content: center;
    align-items: center;
}

#intro_content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;

    background: rgba(0, 0, 0, 0.5);
    padding: 30px;
    border-radius: 20px;
}

.intro_img {
    width: 250px;
}

#skip_text {
    color: white;
    font-size: 16px;
    opacity: 0.8;
}

#lose_animation {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 150px;
}

.lose_img {
    width: 150px;
    display: none;
}

#splash_screen {
    width: 100vw;
    height: 100vh;
    /* background: black;
    color: white; */

    background-image: url("images/level1.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    display: flex;
    /* flex-direction: column; */
    justify-content: center;
    align-items: center;

    font-size: 24px;
    cursor: pointer;
}

#splash_content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;

    backdrop-filter: blur(6px);

    background: rgba(0, 0, 0, 0.5); /* dark overlay */
    padding: 30px;
    border-radius: 20px;
}

#splash_logo {
    width: 250px;
}

#menu_buttons {
    width: 100vw;
    height: 100vh;

    background-image: url("images/level1.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

